Package org.codehaus.groovy.transform

# Class BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo

java.lang.Object
org.codehaus.groovy.transform.BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo

Enclosing class:
  `BuilderASTTransformation.AbstractBuilderStrategy`

protected static class BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`PropertyInfo(String name, ClassNode type)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`ClassNode`
`getType()`
`void`
`setName(String name)`
`void`
`setType(ClassNode type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyInfo

public PropertyInfo(String name, ClassNode type)

## Method Details

### getName

public String getName()

### getType

public ClassNode getType()

### setName

public void setName(String name)

### setType

public void setType(ClassNode type)